# WOK
TKWOK
WOKTools

# WOKTools_BasicMapIterator Class Reference

This class provides basic services for the
iterators on Maps. The iterators are inherited
from this one.
The iterator contains an array of pointers
(buckets). Each bucket is a pointer on a node. A
node contains a pointer on the next node.
This class provides also basic services for the
implementation of Maps.
.

`#include <WOKTools_BasicMapIterator.hxx>`

Inheritance diagram for WOKTools_BasicMapIterator:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT void | Reset ()
| Resets the iterator to the first node. .
Standard_Boolean | More () const
| Returns True if there is a current element in the iterator. .
Standard_EXPORT void | Next ()
| Sets the iterator to the next node. If the iterator is empty it will not change. .

## Protected Member Functions

Standard_EXPORT | WOKTools_BasicMapIterator ()
| Creates an empty iterator. .
Standard_EXPORT | WOKTools_BasicMapIterator (const WOKTools_BasicMap &M)
| Initialize on the first node in the buckets. .
Standard_EXPORT void | Initialize (const WOKTools_BasicMap &M)
| Initialize on the first node in the buckets. .

## Protected Attributes

Standard_Address | myNode

## Private Attributes

Standard_Integer | myNbBuckets
Standard_Address | myBuckets
Standard_Integer | myBucket

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_BasicMapIterator::WOKTools_BasicMapIterator | ( |  | ) | `[protected]`

Standard_EXPORT WOKTools_BasicMapIterator::WOKTools_BasicMapIterator | ( | const WOKTools_BasicMap & | M | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void WOKTools_BasicMapIterator::Initialize | ( | const WOKTools_BasicMap & | M | ) | `[protected]`

Standard_Boolean WOKTools_BasicMapIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void WOKTools_BasicMapIterator::Next | ( |  | ) |

void WOKTools_BasicMapIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

Reimplemented in MS_DataMapIteratorOfMapOfGlobalEntity, MS_DataMapIteratorOfMapOfMethod, MS_DataMapIteratorOfMapOfType, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell, WOKBuilder_DataMapIteratorOfDataMapOfMSActionIDOfMSAction, WOKBuilder_MapIteratorOfMapOfMSAction, WOKDeliv_DataMapIteratorOfDataMapOfFiles, WOKDeliv_DataMapIteratorOfDataMapOfParcel, WOKernel_DataMapIteratorOfDataMapOfFileType, WOKernel_DataMapIteratorOfDataMapOfFileTypeBase, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFactory, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFile, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfParcel, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWarehouse, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkshop, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStep, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStepBuilder, WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString, WOKTools_MapIteratorOfMapOfHAsciiString, and WOKUtils_MapIteratorOfMapOfPath.

void* WOKTools_BasicMapIterator::operator new | ( | size_t | size | ) | `[inline]`

Reimplemented in MS_DataMapIteratorOfMapOfGlobalEntity, MS_DataMapIteratorOfMapOfMethod, MS_DataMapIteratorOfMapOfType, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell, WOKBuilder_DataMapIteratorOfDataMapOfMSActionIDOfMSAction, WOKBuilder_MapIteratorOfMapOfMSAction, WOKDeliv_DataMapIteratorOfDataMapOfFiles, WOKDeliv_DataMapIteratorOfDataMapOfParcel, WOKernel_DataMapIteratorOfDataMapOfFileType, WOKernel_DataMapIteratorOfDataMapOfFileTypeBase, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFactory, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFile, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfParcel, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWarehouse, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkshop, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStep, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStepBuilder, WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString, WOKTools_MapIteratorOfMapOfHAsciiString, and WOKUtils_MapIteratorOfMapOfPath.

void* WOKTools_BasicMapIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Reimplemented in MS_DataMapIteratorOfMapOfGlobalEntity, MS_DataMapIteratorOfMapOfMethod, MS_DataMapIteratorOfMapOfType, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfMSEntity, WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell, WOKBuilder_DataMapIteratorOfDataMapOfMSActionIDOfMSAction, WOKBuilder_MapIteratorOfMapOfMSAction, WOKDeliv_DataMapIteratorOfDataMapOfFiles, WOKDeliv_DataMapIteratorOfDataMapOfParcel, WOKernel_DataMapIteratorOfDataMapOfFileType, WOKernel_DataMapIteratorOfDataMapOfFileTypeBase, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFactory, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFile, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfParcel, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWarehouse, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench, WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkshop, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStep, WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfStepBuilder, WOKOrbix_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHAsciiString, WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString, WOKTools_MapIteratorOfMapOfHAsciiString, and WOKUtils_MapIteratorOfMapOfPath.

Standard_EXPORT void WOKTools_BasicMapIterator::Reset | ( |  | ) |

## Field Documentation

Standard_Integer WOKTools_BasicMapIterator::myBucket `[private]`

Standard_Address WOKTools_BasicMapIterator::myBuckets `[private]`

Standard_Integer WOKTools_BasicMapIterator::myNbBuckets `[private]`

Standard_Address WOKTools_BasicMapIterator::myNode `[protected]`

The documentation for this class was generated from the following files:

- WOKTools_BasicMapIterator.hxx
- WOKTools_BasicMapIterator.lxx